Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTList< T > Class Template Reference

templated linked-list storage class More...

`#include <deList.hpp>`

Inheritance diagram for deTList< T >:

[legend]
Collaboration diagram for deTList< T >:

[legend]
List of all members.

## Public Member Functions
| deTList ()
| deTList (const deTList< T > &ref)
const deTList< T > & | operator= (const deTList< T > &ref)
| ~deTList ()
void | EmptyList ()
void * | FindData (void *current, T &data) const
void * | GetNext (void *current, T *&ptr) const
void * | GetNext (void *current, T &obj) const
void * | GetPrev (void *current, T *&ptr) const
void * | GetPrev (void *current, T &obj) const
void | GetData (void *current, T &obj) const
void | GetData (void *current, const T *&obj) const
void * | AddElementNoData ()
void * | AddElement (const T &data)
void * | AddElementBefore (const T &data, void *current)
void * | AddElementAfter (const T &data, void *current)
void | AppendList (const deTList< T > &list)
void | MergeList (deTList< T > &list)
deBoolean | RemoveElement (void *ptr)
void * | RemoveElementGetNext (void *current, T *&ptr)
long | Length () const
long | size () const
iterator | push_back (const T &data)
iterator | push_back ()
iterator | begin ()
iterator | end ()
iterator | erase (iterator &it)
## Private Attributes
TListNode * | m_Front
TListNode * | m_Back
long | m_Length

## Detailed Description

### template<class T>
class deTList< T >

templated linked-list storage class

## Constructor & Destructor Documentation

template<class T>
deTList< T >::deTList | ( |  | ) | `[inline]`

template<class T>
deTList< T >::deTList | ( | const deTList< T > & | ref | ) | `[inline]`

template<class T>
deTList< T >::~deTList | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
void* deTList< T >::AddElement | ( | const T & | data | ) | `[inline]`

template<class T>
void* deTList< T >::AddElementAfter | ( | const T & | data,
|  | void * | current
| ) | `[inline]`

template<class T>
void* deTList< T >::AddElementBefore | ( | const T & | data,
|  | void * | current
| ) | `[inline]`

template<class T>
void* deTList< T >::AddElementNoData | ( |  | ) | `[inline]`

template<class T>
void deTList< T >::AppendList | ( | const deTList< T > & | list | ) | `[inline]`

template<class T>
iterator deTList< T >::begin | ( |  | ) | `[inline]`

template<class T>
void deTList< T >::EmptyList | ( |  | ) | `[inline]`

template<class T>
iterator deTList< T >::end | ( |  | ) | `[inline]`

template<class T>
iterator deTList< T >::erase | ( | iterator & | it | ) | `[inline]`

template<class T>
void* deTList< T >::FindData | ( | void * | current,
|  | T & | data
| ) | const`[inline]`

template<class T>
void deTList< T >::GetData | ( | void * | current,
|  | const T *& | obj
| ) | const`[inline]`

template<class T>
void deTList< T >::GetData | ( | void * | current,
|  | T & | obj
| ) | const`[inline]`

template<class T>
void* deTList< T >::GetNext | ( | void * | current,
|  | T & | obj
| ) | const`[inline]`

template<class T>
void* deTList< T >::GetNext | ( | void * | current,
|  | T *& | ptr
| ) | const`[inline]`

template<class T>
void* deTList< T >::GetPrev | ( | void * | current,
|  | T & | obj
| ) | const`[inline]`

template<class T>
void* deTList< T >::GetPrev | ( | void * | current,
|  | T *& | ptr
| ) | const`[inline]`

template<class T>
long deTList< T >::Length | ( |  | ) | const`[inline]`

template<class T>
void deTList< T >::MergeList | ( | deTList< T > & | list | ) | `[inline]`

template<class T>
const deTList<T>& deTList< T >::operator= | ( | const deTList< T > & | ref | ) | `[inline]`

template<class T>
iterator deTList< T >::push_back | ( |  | ) | `[inline]`

template<class T>
iterator deTList< T >::push_back | ( | const T & | data | ) | `[inline]`

template<class T>
deBoolean deTList< T >::RemoveElement | ( | void * | ptr | ) | `[inline]`

template<class T>
void* deTList< T >::RemoveElementGetNext | ( | void * | current,
|  | T *& | ptr
| ) | `[inline]`

template<class T>
long deTList< T >::size | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class T>
TListNode * deTList< T >::m_Back`[private]`

template<class T>
TListNode* deTList< T >::m_Front`[private]`

template<class T>
long deTList< T >::m_Length`[private]`

The documentation for this class was generated from the following file:

- deList.hpp